%define version	1.5.4
%define release	alt1
%define name	guikachu

Summary: PalmOS resource editor
Summary(ru_RU.UTF8): визуальный редактор ресурсов PalmOS
Name: %name
Version: %version
Release: %release
License: GPL
Group: Development/Other
Source: http://cactus.rulez.org/projects/guikachu/download/%name-%version.tar.gz
Patch: %name-%version-alt-configure.patch
Url: http://cactus.rulez.org/projects/guikachu

%define shared_mime_info_ver 0.15

Requires(post,postun): shared-mime-info >= %shared_mime_info_ver

BuildPreReq: shared-mime-info >= %shared_mime_info_ver

# Automatically added by buildreq on Thu Feb 24 2005
BuildRequires: GConf2 ORBit2-devel flex fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgconfmm2-devel libglade2-devel libglademm-devel libglibmm-devel libgnome-devel libgnome-keyring libgnome-vfsmm-devel libgnomecanvas-devel libgnomecanvasmm-devel libgnomemm2-devel libgnomeui-devel libgnomeuimm-devel libgtk+2-devel libgtkmm2-devel libpango-devel libpopt-devel libsigc++2.0-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig shared-mime-info xorg-x11-devel xorg-x11-libs xsltproc zlib-devel

%description
Guikachu is a GNOME application for graphical editing of resource
files for PalmOS-based pocket computers, with a user interface
resembling Glade.

Install Guikachu if you want to visually edit PalmOS forms.

%description -l ru_RU.UTF8
Guikachu -- это визуальный редактор "ресурсных" файлов для
карманных компьютеров на базе PalmOS. Интерфейс Guikachu
похож на интерфейс Glade.

%prep
%setup
%patch -p1
%__autoconf
%configure --disable-schemas-install

%build
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%post
%gconf2_install %name-form-editor %name-interface
%update_mimedb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name-form-editor %name-interface
fi

%postun
%clean_mimedb

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%_datadir/gnome/help/guikachu/
#%_datadir/gnome/help/guikachu/*/pictures/*
%prefix/bin/guikachu
%prefix/bin/guikachu2rcp
%_datadir/mime-info/*
%_datadir/mime/packages/*
%_datadir/application-registry/*
%_datadir/gnome/apps/Development
%_datadir/guikachu
%_datadir/locale/*/*/*
%_datadir/pixmaps/*
%config %_sysconfdir/gconf/schemas/*

%changelog
* Sat Mar 05 2005 Alex V. Myltsev <avm@altlinux.ru> 1.5.4-alt1
- ALT adaptation.

* Mon Dec 10 2001 Håvard Wigtil <havardw@stud.ntnu.no>
- Include mime and application registry info
- Include guikachu2rcp script
- Commented out an entry that generated warnings on RedHat 7.2

* Sat Sep 15 2001 ERDI Gergo <cactus@cactus.rulez.org>
- Include the Guikachu icon in the package

* Thu Sep 13 2001 ERDI Gergo <cactus@cactus.rulez.org>
- Made it more generic

* Sat Sep 8 2001 Erich Douglass <erd42@swbell.net>
- Merged in a few fixes and tested.

* Sat Sep 08 2001 ERDI Gergo <cactus@cactus.rulez.org>
- Created the .spec file.
